- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
arg
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Numeric functions

Phase of a number in the complex plane. More...

## Functions
AFAPI array | arg (const array &in)
| C++ Interface for arg. More...
AFAPI af_err | af_arg (af_array *out, const af_array in)
| C Interface for finding the phase. More...

## Detailed Description

Phase of a number in the complex plane.

## Function Documentation

AFAPI af_err af_arg | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for finding the phase.

Parameters

  [out] | out | will the phase of `in`
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::arg | ( | const array & | in | ) |

C++ Interface for arg.

Parameters

  [in] | in | is input array

Returns
  phase of `in`